secr.make.newdata {secr} | R Documentation

## Create Default Design Data

### Description

Internal function used to generate a dataframe containing design data for the base levels of all predictors in an secr object.

### Usage

    secr.make.newdata(object, all.levels = FALSE)

### Arguments

`object` | fitted secr model object
`all.levels` | logical; if TRUE then all levels of factors are included

### Details

`secr.make.newdata` is used by `predict` in lieu of user-specified ‘newdata’. There is seldom any need to call `secr.make.newdata` directly.

### Value

A dataframe with one row for each session and group, and columns for the predictors used by `object$model`.

### See Also

`predict.secr`, `secr.fit`

### Examples

    ## from previously fitted model
    secr.make.newdata(secrdemo.b)

[Package secr version 3.2.1 Index]